> ## Documentation Index
> Fetch the complete documentation index at: https://www.klavis.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Update

> Updates the settings of a specific server connection instance.
Currently supports updating the read-only status of the connection.



## OpenAPI

````yaml patch /mcp-server/instance/{instanceId}
openapi: 3.1.0
info:
  title: Klavis AI (https://www.klavis.ai)
  description: Klavis AI - Open Source MCP Integrations for AI Applications
  version: 0.1.0
servers:
  - url: https://api.klavis.ai
    description: US Production server
  - url: https://api.eu.klavis.ai
    description: EU Production server
security: []
paths:
  /mcp-server/instance/{instanceId}:
    patch:
      tags:
        - mcp-server
      summary: Update
      description: |-
        Updates the settings of a specific server connection instance.
        Currently supports updating the read-only status of the connection.
      operationId: updateServerInstance
      parameters:
        - name: instanceId
          in: path
          required: true
          schema:
            type: string
            format: uuid
            description: The ID of the connection integration instance to update.
            title: Instanceid
          description: The ID of the connection integration instance to update.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateServerInstanceRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UpdateServerInstanceResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    UpdateServerInstanceRequest:
      properties:
        isReadOnly:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Isreadonly
          description: >-
            Whether the MCP server connection is read-only. When true, write
            operations will be restricted.
      additionalProperties: false
      type: object
      title: UpdateServerInstanceRequest
    UpdateServerInstanceResponse:
      properties:
        instanceId:
          type: string
          title: Instanceid
          description: >-
            The unique identifier of the updated connection integration
            instance.
        isReadOnly:
          type: boolean
          title: Isreadonly
          description: The current read-only status of the connection.
        message:
          type: string
          title: Message
          description: A message indicating the result of the update operation.
      type: object
      required:
        - instanceId
        - isReadOnly
        - message
      title: UpdateServerInstanceResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      description: Your Klavis AI API key.
      scheme: bearer
      x-fern-bearer:
        name: api_key

````